=== debian/changelog ===
sciteco (2.4.0-0+24.3) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 29 Oct 2025 17:38:53 +0000

sciteco (2.4.0-0) unstable; urgency=low

  * new upstream version v2.4.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Sat, 19 Apr 2025 22:11:34 +0000

sciteco (2.3.0-0) unstable; urgency=low

  * new upstream version v2.3.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Tue, 24 Dec 2024 23:06:51 +0000

sciteco (2.2.0-0) unstable; urgency=low

  * new upstream version v2.2.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Mon, 09 Dec 2024 20:15:17 +0000

sciteco (2.1.1-0) unstable; urgency=low

  * new upstream version v2.1.1

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Sun, 17 Nov 2024 14:26:22 +0300

sciteco (2.1.0-0) unstable; urgency=low

  * new upstream version v2.1.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Wed, 16 Oct 2024 18:29:15 +0300

sciteco (2.0.0-8) unstable; urgency=low

  * new upstream version v2.0.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Tue, 20 Jun 2023 05:50:30 +0300

sciteco (0.6.4-5) unstable; urgency=low

  * new upstream version v0.6.4
  * the last revision 4 is only necessary to appease
    launchpad which already knows some outdated tarballs.
  * Debian package can now be built from the original
    source tarball since it includes Scintilla.

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Wed, 18 Mar 2015 01:37:14 +0100

sciteco (0.5-1) unstable; urgency=low

  * initial debianization
  * single package with architecture independent files
  * only ncurses interface is built for now

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Tue, 19 Mar 2013 15:19:13 +0200
