=== debian/control ===
Source: sciteco
Section: editors
Priority: optional
Maintainer: Robin Haberkorn <robin.haberkorn@googlemail.com>
Build-Depends: debhelper (>= 10), dh-exec, dh-autoreconf,
 gcc (>= 4:5.0), g++ (>= 4:5.0),
 libglib2.0-dev (>= 2.44),
 ncurses-term, libncurses-dev,
 libgtk-3-dev (>= 3.12), xvfb, xauth,
 groff (>= 1.19.2)
Standards-Version: 4.5.0
Homepage: https://rhaberkorn.github.io/sciteco/
Vcs-Browser: https://github.com/rhaberkorn/sciteco
Vcs-Git: git://github.com/rhaberkorn/sciteco.git

Package: sciteco-curses
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sciteco-common (= ${source:Version})
Suggests: xclip
Description: Scintilla-based Text Editor and Corrector (curses)
 SciTECO is an interactive TECO dialect, similar to Video TECO.
 It also adds features from classic Standard TECO-11,
 and incorporates many unique new ideas.
 It is geared towards UNIX-like operating systems but also
 natively supports Microsoft Windows NT.
 .
 This package contains the curses (terminal) version of SciTECO.

Package: sciteco-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, sciteco-common (= ${source:Version})
Description: Scintilla-based Text Editor and Corrector (GTK+)
 SciTECO is an interactive TECO dialect, similar to Video TECO.
 It also adds features from classic Standard TECO-11,
 and incorporates many unique new ideas.
 It is geared towards UNIX-like operating systems but also
 natively supports Microsoft Windows NT.
 .
 This package contains the GTK+ 3 (graphical) version of SciTECO.

Package: sciteco-common
Architecture: all
Depends: ${misc:Depends}
Description: Scintilla-based Text Editor and Corrector (common files)
 SciTECO is an interactive TECO dialect, similar to Video TECO.
 It also adds features from classic Standard TECO-11,
 and incorporates many unique new ideas.
 It is geared towards UNIX-like operating systems but also
 natively supports Microsoft Windows NT.
 .
 This package contains architecture-independant files
 and the SciTECO standard library.
