## sciteco 2.4.0%2Bgit.1761486411.3ab89b5

=== debian/changelog ===
sciteco (2.4.0+git.1761486411.3ab89b5-0+129.7) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 29 Oct 2025 23:39:49 +0000

sciteco (2.4.0+git.1761486411.3ab89b5-0) unstable; urgency=low

  * new upstream version v2.4.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Sat, 19 Apr 2025 22:11:34 +0000
