## sciteco 2.4.0%2Bgit.1762905952.f5ebfce

=== contrib/scinterm/Makefile ===
--- 
+++ 
@@ -22,14 +22,17 @@
   Document.o EditModel.o Editor.o EditView.o Geometry.o Indicator.o KeyMap.o LineMarker.o \
   MarginView.o PerLine.o PositionCache.o RESearch.o RunStyles.o ScintillaBase.o Selection.o \
   Style.o UndoHistory.o UniConversion.o UniqueString.o ViewStyle.o XPM.o
+wcwidth = wcwidth.o
 
 vpath %.h $(srcdir) $(basedir)/src $(basedir)/include
 vpath %.cxx $(srcdir) $(basedir)/src
+vpath %.c $(srcdir)
 
 all: $(scintilla)
 $(sci) PlatCurses.o ScintillaCurses.o: %.o: %.cxx
 	$(CXX) $(CXX_BASE_FLAGS) $(CXXFLAGS) $(CURSES_FLAGS) -c $<
-$(scintilla): $(sci) PlatCurses.o ScintillaCurses.o
+$(wcwidth): %.o: %.c ; $(CC) $(CFLAGS) -c $<
+$(scintilla): $(sci) PlatCurses.o ScintillaCurses.o $(wcwidth)
 	$(AR) rc $@ $^
 	touch $@
 patch: $(wildcard patches/*.patch)
