=== debian/changelog ===
sciteco (2.4.0+git.1762905952.f5ebfce-0+135.1) unstable; urgency=low

  * version number update by debtransform

 -- debtransform <build@opensuse.org>  Wed, 12 Nov 2025 00:19:58 +0000

sciteco (2.4.0+git.1762905952.f5ebfce-0) unstable; urgency=low

  * new upstream version v2.4.0

 -- Robin Haberkorn <robin.haberkorn@googlemail.com>  Sat, 19 Apr 2025 22:11:34 +0000
